import { getFirstPositionalArg } from '../index.js';
const commands = [
    'add',
    'i',
    'install',
    'up',
    'update',
    'upgrade',
    'remove',
    'rm',
    'uninstall',
    'un',
    'link',
    'ln',
    'unlink',
    'import',
    'rebuild',
    'rb',
    'prune',
    'fetch',
    'install-test',
    'it',
    'patch',
    'patch-commit',
    'audit',
    'list',
    'ls',
    'outdated',
    'why',
    'test',
    't',
    'tst',
];
export const resolve = (binary, args, manifest) => {
    const scripts = manifest.scripts ? Object.keys(manifest.scripts) : [];
    const [command, ...commandArgs] = args;
    if (scripts.includes(command) || commands.includes(command))
        return [];
    if (command === 'run' && scripts.includes(commandArgs[0]))
        return [];
    if (command === 'run' || command === 'exec')
        return getFirstPositionalArg(commandArgs);
    return getFirstPositionalArg(args);
};
